package com.bonus.canteen.core.marketing.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/** @deprecated */
@Deprecated
public class MktEffectiveAddDTO implements Serializable {
   @ApiModelProperty("范围名称")
   private @NotBlank(
   message = "范围名称不能为空 ^_^"
) String effName;
   @ApiModelProperty("生效范围类型(1-人员类,2-食堂类,3-商品类,4-仓库类)")
   private @NotNull(
   message = "生效范围类型不能为空 ^_^"
) Integer effType;
   @ApiModelProperty("人员取交并集(1-交集,2-并集)")
   private Integer userType;
   @ApiModelProperty("所属组织id集合")
   private List<Long> orgIdList;
   @ApiModelProperty("会员等级集合")
   private List<Long> gradeIdList;
   @ApiModelProperty("人员类别集合")
   private List<Integer> psnTypeList;
   @ApiModelProperty("食堂档口集合")
   private List<MktEffectiveCanteenDTO> canteenList;
   @ApiModelProperty("菜品id集合")
   private List<Long> dishesIdList;
   @ApiModelProperty("套餐id集合")
   private List<Long> packageIdList;
   @ApiModelProperty("商品id集合")
   private List<Long> productIdList;
   @ApiModelProperty("仓库ID集合")
   private List<Long> warehouseId;

   public String getEffName() {
      return this.effName;
   }

   public Integer getEffType() {
      return this.effType;
   }

   public Integer getUserType() {
      return this.userType;
   }

   public List<Long> getOrgIdList() {
      return this.orgIdList;
   }

   public List<Long> getGradeIdList() {
      return this.gradeIdList;
   }

   public List<Integer> getPsnTypeList() {
      return this.psnTypeList;
   }

   public List<MktEffectiveCanteenDTO> getCanteenList() {
      return this.canteenList;
   }

   public List<Long> getDishesIdList() {
      return this.dishesIdList;
   }

   public List<Long> getPackageIdList() {
      return this.packageIdList;
   }

   public List<Long> getProductIdList() {
      return this.productIdList;
   }

   public List<Long> getWarehouseId() {
      return this.warehouseId;
   }

   public void setEffName(final String effName) {
      this.effName = effName;
   }

   public void setEffType(final Integer effType) {
      this.effType = effType;
   }

   public void setUserType(final Integer userType) {
      this.userType = userType;
   }

   public void setOrgIdList(final List<Long> orgIdList) {
      this.orgIdList = orgIdList;
   }

   public void setGradeIdList(final List<Long> gradeIdList) {
      this.gradeIdList = gradeIdList;
   }

   public void setPsnTypeList(final List<Integer> psnTypeList) {
      this.psnTypeList = psnTypeList;
   }

   public void setCanteenList(final List<MktEffectiveCanteenDTO> canteenList) {
      this.canteenList = canteenList;
   }

   public void setDishesIdList(final List<Long> dishesIdList) {
      this.dishesIdList = dishesIdList;
   }

   public void setPackageIdList(final List<Long> packageIdList) {
      this.packageIdList = packageIdList;
   }

   public void setProductIdList(final List<Long> productIdList) {
      this.productIdList = productIdList;
   }

   public void setWarehouseId(final List<Long> warehouseId) {
      this.warehouseId = warehouseId;
   }
}
